Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 927977

Summary: pcs-debuginfo 0.9.139-5 missing sources
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: pcsAssignee: Ondrej Mular <omular>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: cfeist, jpokorny, tojeline
Target Milestone: ---Keywords: Regression, Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pcs-0.9.160-1.fc26 pcs-0.9.160-1.fc27 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-29 14:47:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    

Description Ville Skyttä 2013-03-26 15:38:13 UTC
pcs-debuginfo-0.9.36-4 is empty. Should the package be noarch? If not but if there's nothing to extract debuginfo from, the -debuginfo subpackage should probably be explicitly disabled.

Comment 1 Ville Skyttä 2013-05-10 20:31:35 UTC
0.9.41-2 is no longer empty, but now it doesn't contain sources which is often a sign of $RPM_OPT_FLAGS not being used. Hard to tell without digging deeper because the build log is not verbose enough - that should be fixed as well.

Comment 2 Ville Skyttä 2013-06-09 09:41:09 UTC
Problem persists with 0.9.44-4.fc20.

Comment 3 Fedora End Of Life 2015-01-09 17:49:12 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ville Skyttä 2015-01-12 20:57:00 UTC
Some sources are now included in pcs-debuginfo-0.9.137-2.fc21.x86_64 but the build log is still not verbose enough to tell how the related bits are being built.

Comment 5 Jan Pokorný [poki] 2015-06-29 16:59:02 UTC
Maybe this problems arises owning to the fact of excessive bundling
([bug 927229]) without a direct control over the recipes for getting
these components into the required shape.

FWIW, the original report is still valid in F22
(pcs-0.9.139-5.fc22.x86_64).

Comment 6 Ville Skyttä 2016-07-01 12:21:29 UTC
Problem persists with 0.9.150-1 (still after 3+ years...)

Comment 7 Fedora End Of Life 2016-07-19 10:08:22 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Jan Kurik 2016-07-26 04:08:08 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 9 Fedora Update System 2017-10-19 10:18:24 UTC
pcs-0.9.160-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-446a71b4ab

Comment 10 Fedora Update System 2017-10-19 15:24:43 UTC
pcs-0.9.160-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-446a71b4ab

Comment 11 Fedora Update System 2017-10-22 02:22:39 UTC
pcs-0.9.160-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-aa9061da49

Comment 12 Fedora Update System 2017-10-29 14:47:03 UTC
pcs-0.9.160-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-11-11 02:57:18 UTC
pcs-0.9.160-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.